/bulkImportMappingTypes/{mappingTypeName}/{fieldName}/values

Retrieve a collection of the complete list of values that can be applied to a given column in a field during a bulk import

Some fields have a predefined list of possible values which can be applied during a bulk import, corresponding, for example, to a drop-down list or a checkbox. This endpoint returns an ID and name property for each value that is allowed as an input. When preparing input data, input values should take the form of the ID of the value rather than the name to avoid potential collisions. However, if available value names are unique, names will be accepted as input values.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Each item in the response object has the following properties:

PropertyTypeDescription
namestringThe human-friendly label for the predefined value
idstringThe unique identifier for the predefined value
parentsarrayAn array of other fields’ values which must be mapped before this value can be used for this field

The parents array lists one or more prerequisites for this field to be mapped.

PropertyTypeDescription
parentFieldNamestringThe name of a field which must be mapped in order for the child mapping to be created
allowedParentValuesarrayThe collection of legal values for the parent field which are prerequisite for the child mapping to be created

The allowedParentValues array is a collection of the limited set of legal values which are required for the parent field.

PropertyTypeDescription
namestringThe name of the permitted value
idstringThe unique identifier of the permitted value
Path Params
string
required
Defaults to MailingAddress

Name of the bulk import mapping type

string
required
Defaults to name

The name of this field’s column, as discovered by GET /bulkImportMappingTypes

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json